// @ts-nocheck

import React, { forwardRef }  from "react";

const ComponentHighlight = forwardRef(({children, $ref}, ref) => {
    console.log('ref', $ref || ref)
    return (
        <editable-component ref={$ref || ref}>
            {children}
        </editable-component>
    );
})

ComponentHighlight.hoc = (Component) => (props) => {
    return (
        <ComponentHighlight>
            <Component {...props} />
        </ComponentHighlight>
    );
}

export default ComponentHighlight;
